<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (offeredItem()) {
      <div>
        <h2 data-cy="offeredItemDetailsHeading"><span jhiTranslate="realTimeBeveragesApp.offeredItem.detail.title">Offered Item</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span jhiTranslate="global.field.id">ID</span></dt>
          <dd>
            <span>{{ offeredItem()!.id }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.name">Name</span></dt>
          <dd>
            <span>{{ offeredItem()!.name }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.stock">Stock</span></dt>
          <dd>
            <span>{{ offeredItem()!.stock }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.price">Price</span></dt>
          <dd>
            <span>{{ offeredItem()!.price }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.hidden">Hidden</span></dt>
          <dd>
            <span>{{ offeredItem()!.hidden }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.image">Image</span></dt>
          <dd>
            @if (offeredItem()!.image) {
              <div>
                <a (click)="openFile(offeredItem()!.image ?? '', offeredItem()!.imageContentType)">
                  <img
                    [src]="'data:' + offeredItem()!.imageContentType + ';base64,' + offeredItem()!.image"
                    style="max-width: 100%"
                    alt="offeredItem"
                  />
                </a>
                {{ offeredItem()!.imageContentType }}, {{ byteSize(offeredItem()!.image ?? '') }}
              </div>
            }
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.limitedStockThreshold">Limited Stock Threshold</span></dt>
          <dd>
            <span>{{ offeredItem()!.limitedStockThreshold }}</span>
          </dd>
          <dt><span jhiTranslate="realTimeBeveragesApp.offeredItem.category">Category</span></dt>
          <dd>
            <span>{{ offeredItem()!.category }}</span>
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Zurück</span>
        </button>

        <button type="button" [routerLink]="['/offered-item', offeredItem()!.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Bearbeiten</span>
        </button>
      </div>
    }
  </div>
</div>
